Subject: Re: [PATCH -mm 4/9] netconsole: Introduce netconsole_netdev_notifier

From: KII Keiichi <[email-masked]>
Date: Sun, 08 Jul 2007 03:33:43 +0900

Hi Satyam,

> [4/9] netconsole: Introduce netconsole_netdev_notifier
> 
> To update fields of underlying netpoll structure at runtime on
> corresponding NETDEV_CHANGEADDR or NETDEV_CHANGENAME notifications.
> 
> Signed-off-by: Satyam Sharma <[email-masked]>
> Cc: Keiichi Kii <[email-masked]>
> Cc: Takayoshi Kochi <[email-masked]>

Should we avoid the automatic update of netconsole_target until we can notice all 
necessary members of netconsole_target updated automatically?

I had thought about automatic updating of the netconsole_target(i.e. local IP address 
and network device).
But I thought that the netconsole(netpoll) can only be related to a network device
because the user of netconsole is free to be able to set local IP address and 
MAC address of netconsole and it is difficult to monitor change of local IP address.
So, my patches only updates the network device automatically by using a symbolic link 
to the network device in sysfs when the event of NETDEV_CHANGEADDR occurs. 
The symbolic link to the network device in sysfs has the same meaning as following change
of MAC address and hardware.
(but I hadn't known the changing ability of MAC address using ip(8) command, 
thanks for your info)

Or I propose updating netconsole_taget informations when the network device up/down.
The MAC address and network interface name can be changed when 
the network device is disabled.
But, in the case, we must think of the case of changing IP address 
because we can change IP address without disabling the network device and 
can't hook the event of changing IP address.

How do you think?

Thanks
-- 
Keiichi KII
NEC Corporation OSS Platform Development Division
E-mail: [email-masked]